POST
/api/v1/circles
curl \
--request POST 'https://api.plannrcrm.com/api/v1/circles' \
--header "Authorization: Bearer $ACCESS_TOKEN" \
--header "Content-Type: application/json" \
--header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}" \
--data '{"name":"Jones Family","bg_colour":"#DDDDDD","account_uuids":["61cc73bc-5a53-4652-945f-0fb1a9c26f04","1f300910-1c67-459c-8de0-5cedb7da2663","38f9fda6-e1a8-4104-8444-8433fe8066b4"],"group_uuids":["7d2d97a4-d6f9-466a-af06-6ae2277e3ab2","e557f8ae-834c-4120-ba2a-a6046fb48303","4f976138-717d-47bb-b55a-5eec31ce43a9"]}'
Request examples
# Headers
X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}
# Payload
{
"name": "Jones Family",
"bg_colour": "#DDDDDD",
"account_uuids": [
"61cc73bc-5a53-4652-945f-0fb1a9c26f04",
"1f300910-1c67-459c-8de0-5cedb7da2663",
"38f9fda6-e1a8-4104-8444-8433fe8066b4"
],
"group_uuids": [
"7d2d97a4-d6f9-466a-af06-6ae2277e3ab2",
"e557f8ae-834c-4120-ba2a-a6046fb48303",
"4f976138-717d-47bb-b55a-5eec31ce43a9"
]
}
Response examples (201)
{
"uuid": "b9b7ed67-8d1f-4c0a-90bf-cdab4c763992",
"created_at": "2026-06-27T09:33:40+01:00",
"updated_at": "2026-06-27T09:33:40+01:00",
"name": "Jones Family",
"photo_url": "https://eu.ui-avatars.com/api/?name=jones+family",
"bg_colour": "#35f4e1",
"accounts": [
{
"uuid": "b8de0995-e2f9-4952-a70c-077842ad3927",
"created_at": "2026-06-27T09:33:40+01:00",
"updated_at": "2026-06-27T09:33:40+01:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"firm": "App\\Http\\Resources\\FirmResource",
"primary_phone_number": "App\\Http\\Resources\\ContactDetailResource",
"primary_email": "App\\Http\\Resources\\ContactDetailResource",
"current_time_entry": "App\\Http\\Resources\\TimeEntryResource",
"assigned_adviser": "App\\Http\\Resources\\AccountResource",
"assigned_administrator": "App\\Http\\Resources\\AccountResource",
"assigned_paraplanner": "App\\Http\\Resources\\AccountResource",
"introduced_by": "App\\Http\\Resources\\AccountResource",
"business_unit": "App\\Http\\Resources\\BusinessUnitResource",
"groups": "App\\Http\\Resources\\GroupResource",
"tags": "App\\Http\\Resources\\TagResource",
"owners": "App\\Http\\Resources\\AccountResource",
"first_contact_date": "2026-06-27T09:33:40+01:00",
"next_review_date": "2026-06-27T09:33:40+01:00",
"previous_review_date": "2026-06-27T09:33:40+01:00",
"anniversary_review_date": "2026-06-27T09:33:40+01:00",
"terms_of_business_at": "2026-06-27T09:33:40+01:00",
"client_agreement_at": "2026-06-27T09:33:40+01:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"joint_account_circle": "App\\Http\\Resources\\CircleResource",
"circles": "App\\Http\\Resources\\CircleResource",
"ownership_percentage": 100,
"inactive_at": "2026-06-27",
"last_interaction_at": "2026-06-27 09:33:40",
"referral_code": "ABC12345",
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
},
"custom_fields": "App\\Http\\Resources\\CustomFieldValueResource",
"external_references": "App\\Http\\Resources\\ExternalReferenceResource"
}
],
"groups": [
{
"uuid": "d4773286-cceb-4e17-942b-71ea57eae4f3",
"name": "finance",
"slug": "finance",
"participants_count": "3",
"participants": {
"uuid": {
"example": "673714b6-23c4-48f4-a36d-1640f38598ff",
"description": "UUID of the account"
},
"role": {
"example": "client",
"description": "Role of the account"
},
"first_name": {
"example": "Gareth",
"description": "First name of the account"
},
"last_name": {
"example": "Thompson",
"description": "Last name of the account"
},
"name": {
"example": "Gareth Thompson",
"description": "Name of the account"
},
"email": {
"example": "gareth@codepotato.co.uk",
"description": "Email of the account"
}
},
"created_at": "2026-06-27T09:33:40+01:00",
"updated_at": "2026-06-27T09:33:40+01:00"
}
],
"joint_account_uuid": "8a5af836-d899-4691-a48c-28976e16a1f2",
"login_access_level": "write",
"current_life_stage_uuid": "7f2e9604-ef31-45dc-a229-47183ed18029",
"external_references": [
{
"uuid": "addb3ac0-721a-4175-8132-dac4354f37a0",
"created_at": "2026-06-27T09:33:40+01:00",
"updated_at": "2026-06-27T09:33:40+01:00",
"third_party": "nucleus",
"reference": "AB123456"
}
]
}